バージョンの恐怖

 最近、人様のホームページの協力をしていることは、見ていれば解ると思うが、どーにもこーにも正常に動かなくて困っていた。ユーザーの入力したデータが、サーバーのプログラムに送れないのである・・・。なんでかさっぱり意味不明。
色々調べているうちに、PHPのバージョンので変更された仕様らしい。つまり、自分が普段使っているサーバーでは動くけど、今時では動かないこともあるって事。はぁ。これで2日間、無駄かよ・・・。しかも変更されたのは結構前の話だ。まぁ対して困るようなページは作ってないけど、しいて言えば、昔作って人気だったゲーム、PHPアホラーとかも、サーバーがバージョンアップすれば動かなくなるってことである。
 ネット環境と言うのは、ほとんどのサーバーがオープンソースなことが多いので、気が付かないうちに重大な仕様変更があるから怖いよねぇ。

コメントを残す

メールアドレスが公開されることはありません。 * が付いている欄は必須項目です

CAPTCHA